//**********************************************************************
//
//	switch_test.shader for Q3 by Sims
// "Shader Switch Tutorial"
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//
// ----------------------------------------------------------------------
textures/switch_tut/black
{
	qer_editorimage textures/switch_tut/black.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/black.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
// High light version
textures/switch_tut/light2_3k
{
	qer_editorimage textures/switch_tut/light2_3k.tga
	q3map_lightImage textures/switch_tut/hd_light2.tga
	q3map_surfacelight 12000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .1 0 0.25
	}
}
// ======================================================================
// Double Density Textures
// ======================================================================
//
// ----------------------------------------------------------------------
textures/switch_tut/floor_stone1
{
	qer_editorimage textures/switch_tut/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/metal1
{
	qer_editorimage textures/switch_tut/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/metal2
{
	qer_editorimage textures/switch_tut/metal2.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/wall_stone1
{
	qer_editorimage textures/switch_tut/wall_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_wall_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/wood_browndark
{
	qer_editorimage textures/switch_tut/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/wood_grey
{
	qer_editorimage textures/switch_tut/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/hd_wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ======================================================================
// Switches
// ======================================================================
//
textures/switch_tut/switch_background
{
	qer_editorimage textures/switch_tut/switch_border.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_border.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
// Switch shaders USING lightmaps
// ----------------------------------------------------------------------
textures/switch_tut/switch_lm_off
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_border.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/switch_tut/switch_lm_on
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_border.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
// Switch shaders WITHOUT lightmaps
// ----------------------------------------------------------------------
textures/switch_tut/switch_off
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/switch_on
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
// Switch 1-2 = Using lightmaps
// Switch 3-4 = Without lightmaps
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_01
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_border.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/switch_tut/zswitch_02
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_border.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_03
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_04
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_05
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_06
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_07
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_08
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_09
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_10
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_11
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_12
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_13
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_14
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_15
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_16
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_17
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_18
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/switch_tut/zswitch_19
{
	qer_editorimage textures/switch_tut/switch_editor_off.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_black.tga
		blendFunc GL_ONE GL_ONE
		rgbGen const ( 0 0 0 )
	}	
}
textures/switch_tut/zswitch_20
{
	qer_editorimage textures/switch_tut/switch_editor_on.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/switch_tut/switch_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .3 0 0.25
	}
}
